# baseURL = 'https://example.org/'
languageCode = 'en-US'
# title = 'My New Hugo Site'
contentDir = "content"

[markup]
  [markup.highlight]
    style = 'average'
    lineNos = true

  [markup.goldmark]
    [markup.goldmark.extensions]
      [markup.goldmark.extensions.passthrough]
        enable = true
        [markup.goldmark.extensions.passthrough.delimiters]
          block = [['\[', '\]'], ['$$', '$$']]
          inline = [['\(', '\)']]

[pagination]
disableAliases = false
pagerSize = 10
path = 'page'

[[menus.main]]
name = 'Home'
pageRef = '/'
weight = 10

[[menus.main]]
name = 'Posts'
pageRef = '/posts'
weight = 20

[[menus.main]]
name = 'Tags'
pageRef = '/tags'
weight = 30

[[menus.main]]
name = 'Categories'
pageRef = '/categories'
weight = 30

[taxonomies]
category = "categories"
# @TODO work on building below taxonomies
# author = "authors"
# style = "styles"

[module]
  [module.hugoVersion]
  extended = false
  min = "0.116.0"

[params]
math = true